arrow-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Uwe L. Korn" <uw...@xhochy.com>
Subject Re: python2.7 cannot install pyarrow
Date Thu, 11 Jul 2019 08:02:38 GMT
Hello,

I guess you are on Windows? Then there is not pyarrow for Python 2.7 as Python 2.7 is built
with a too old runtime to support C++11. Either upgrade to 3.6+ or use a Unix-based System.

Uwe

On Thu, Jul 11, 2019, at 9:14 AM, black wrote:
> I have tried many ways but failed. I am in urgent need of your help. I hope to get your
reply as soon as possible.Thank you.
> 
> At first, I tried use "pip install pyarrow" to install pyarrow. But I got a hint that
python3.5 and up is only supported.
> After that, I use Anaconda Navigator GUI to install and use command "conda install -c
conda-forge pyarrow" in Anaconda Powershell Prompt.
> But I got the same problem......
> 
> And I tried to download the 0.9.0 pyarrow package, After decompressing, use the "python
setup.py install" command, I got the other problem.It say "error: command 'cmake' failed:
No such file or directory"
> 
> Since my company's development environment is python2.7, I can only use it. I know that
it is very easy to install successfully in Python3.7, but I can't use it. If you know any
way to help me, please let me know as soon as possible. Even if not, I also thank you very
much.

Mime
View raw message